Package org.zeromq

# Class ZDispatcherTest

java.lang.Object
org.zeromq.ZDispatcherTest

public class ZDispatcherTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZDispatcherTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatcherPerformanceTest()`
`void`
`singleMessage()`
`void`
`testMessagesDispatchedToDifferentHandlersAreExecutedConcurrently()`
`void`
`testNoMessageAreSentAfterShutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZDispatcherTest

public ZDispatcherTest()

## Method Details

### singleMessage

public void singleMessage() throws InterruptedException

Throws:
  `InterruptedException`

### testMessagesDispatchedToDifferentHandlersAreExecutedConcurrently

public void testMessagesDispatchedToDifferentHandlersAreExecutedConcurrently() throws InterruptedException, BrokenBarrierException, TimeoutException

Throws:
  `InterruptedException`
  `BrokenBarrierException`
  `TimeoutException`

### testNoMessageAreSentAfterShutdown

public void testNoMessageAreSentAfterShutdown() throws InterruptedException, BrokenBarrierException, TimeoutException

Throws:
  `InterruptedException`
  `BrokenBarrierException`
  `TimeoutException`

### dispatcherPerformanceTest

public void dispatcherPerformanceTest() throws InterruptedException

Throws:
  `InterruptedException`